<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: LocationInfoDetails Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_location_info_details.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_location_info_details-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">LocationInfoDetails Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_types_for_analysis_8h_source.html">TypesForAnalysis.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a917230fcb9153b86ab5ad59e930545d1"><td class="memItemLeft" align="right" valign="top">SourceLocation&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info_details.html#a917230fcb9153b86ab5ad59e930545d1">Start</a></td></tr>
<tr class="separator:a917230fcb9153b86ab5ad59e930545d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba22606e445f119b01414b50679d47bd"><td class="memItemLeft" align="right" valign="top">SourceLocation&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info_details.html#aba22606e445f119b01414b50679d47bd">End</a></td></tr>
<tr class="separator:aba22606e445f119b01414b50679d47bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad386cbea334a1cedbc3d430d4a5e9ec8"><td class="memItemLeft" align="right" valign="top">std::pair&lt; FileID, unsigned &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info_details.html#ad386cbea334a1cedbc3d430d4a5e9ec8">StartDecomposed</a></td></tr>
<tr class="separator:ad386cbea334a1cedbc3d430d4a5e9ec8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a811bb8dadea4c80b9f6bd3cb703680a5"><td class="memItemLeft" align="right" valign="top">std::pair&lt; FileID, unsigned &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info_details.html#a811bb8dadea4c80b9f6bd3cb703680a5">EndDecomposed</a></td></tr>
<tr class="separator:a811bb8dadea4c80b9f6bd3cb703680a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31589de8c339de1eeda8c56f0a74763d"><td class="memItemLeft" align="right" valign="top">std::pair&lt; FileID, unsigned &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info_details.html#a31589de8c339de1eeda8c56f0a74763d">StartEndDecomposed</a></td></tr>
<tr class="separator:a31589de8c339de1eeda8c56f0a74763d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5b575a122641a433ff2e7e8b85212c2"><td class="memItemLeft" align="right" valign="top">std::pair&lt; FileID, unsigned &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info_details.html#ae5b575a122641a433ff2e7e8b85212c2">EndEndDecomposed</a></td></tr>
<tr class="separator:ae5b575a122641a433ff2e7e8b85212c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6f76995baf63e3777ef10b95965863e"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info_details.html#ae6f76995baf63e3777ef10b95965863e">LineOfMatchStart</a></td></tr>
<tr class="separator:ae6f76995baf63e3777ef10b95965863e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75bfdf90f6790fb25972148856f04841"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info_details.html#a75bfdf90f6790fb25972148856f04841">ColumnOfMatchStart</a></td></tr>
<tr class="separator:a75bfdf90f6790fb25972148856f04841"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a22faa6816b7aa9540d23bcda7f4146"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info_details.html#a6a22faa6816b7aa9540d23bcda7f4146">LineOfMatchEnd</a></td></tr>
<tr class="separator:a6a22faa6816b7aa9540d23bcda7f4146"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1094200ef3c3bee0db917af7d217dc79"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info_details.html#a1094200ef3c3bee0db917af7d217dc79">ColumnOfMatchEnd</a></td></tr>
<tr class="separator:a1094200ef3c3bee0db917af7d217dc79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a107f28887d5fb927ecf8dc187f8bb069"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info_details.html#a107f28887d5fb927ecf8dc187f8bb069">RealPathName</a></td></tr>
<tr class="separator:a107f28887d5fb927ecf8dc187f8bb069"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a279ab3e8db333f36e921278d1b1f7fdd"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info_details.html#a279ab3e8db333f36e921278d1b1f7fdd">CapturedTextPerLocation</a></td></tr>
<tr class="separator:a279ab3e8db333f36e921278d1b1f7fdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea6c00e9d09a11fbb968b18c5a8b9a9e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_location_info_details.html#aea6c00e9d09a11fbb968b18c5a8b9a9e">isFromScratchArea</a></td></tr>
<tr class="separator:aea6c00e9d09a11fbb968b18c5a8b9a9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a279ab3e8db333f36e921278d1b1f7fdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a279ab3e8db333f36e921278d1b1f7fdd">&#9670;&nbsp;</a></span>CapturedTextPerLocation</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string LocationInfoDetails::CapturedTextPerLocation</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1094200ef3c3bee0db917af7d217dc79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1094200ef3c3bee0db917af7d217dc79">&#9670;&nbsp;</a></span>ColumnOfMatchEnd</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned LocationInfoDetails::ColumnOfMatchEnd</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a75bfdf90f6790fb25972148856f04841"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75bfdf90f6790fb25972148856f04841">&#9670;&nbsp;</a></span>ColumnOfMatchStart</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned LocationInfoDetails::ColumnOfMatchStart</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aba22606e445f119b01414b50679d47bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba22606e445f119b01414b50679d47bd">&#9670;&nbsp;</a></span>End</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SourceLocation LocationInfoDetails::End</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a811bb8dadea4c80b9f6bd3cb703680a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a811bb8dadea4c80b9f6bd3cb703680a5">&#9670;&nbsp;</a></span>EndDecomposed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;FileID, unsigned&gt; LocationInfoDetails::EndDecomposed</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae5b575a122641a433ff2e7e8b85212c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5b575a122641a433ff2e7e8b85212c2">&#9670;&nbsp;</a></span>EndEndDecomposed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;FileID, unsigned&gt; LocationInfoDetails::EndEndDecomposed</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aea6c00e9d09a11fbb968b18c5a8b9a9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea6c00e9d09a11fbb968b18c5a8b9a9e">&#9670;&nbsp;</a></span>isFromScratchArea</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool LocationInfoDetails::isFromScratchArea</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6a22faa6816b7aa9540d23bcda7f4146"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a22faa6816b7aa9540d23bcda7f4146">&#9670;&nbsp;</a></span>LineOfMatchEnd</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned LocationInfoDetails::LineOfMatchEnd</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae6f76995baf63e3777ef10b95965863e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6f76995baf63e3777ef10b95965863e">&#9670;&nbsp;</a></span>LineOfMatchStart</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned LocationInfoDetails::LineOfMatchStart</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a107f28887d5fb927ecf8dc187f8bb069"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a107f28887d5fb927ecf8dc187f8bb069">&#9670;&nbsp;</a></span>RealPathName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string LocationInfoDetails::RealPathName</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a917230fcb9153b86ab5ad59e930545d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a917230fcb9153b86ab5ad59e930545d1">&#9670;&nbsp;</a></span>Start</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SourceLocation LocationInfoDetails::Start</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad386cbea334a1cedbc3d430d4a5e9ec8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad386cbea334a1cedbc3d430d4a5e9ec8">&#9670;&nbsp;</a></span>StartDecomposed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;FileID, unsigned&gt; LocationInfoDetails::StartDecomposed</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a31589de8c339de1eeda8c56f0a74763d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31589de8c339de1eeda8c56f0a74763d">&#9670;&nbsp;</a></span>StartEndDecomposed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;FileID, unsigned&gt; LocationInfoDetails::StartEndDecomposed</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_location_info_details.html">LocationInfoDetails</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
